Bug 468484 - IcedTea version string truncated?
IcedTea version string truncated?
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 22:58 EDT by Naveed Hasan
Modified: 2008-12-02 08:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 08:45:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Provide full fedora package release version and arch (688 bytes, patch)
2008-11-24 14:11 EST, Mark Wielaard
no flags Details | Diff

  None (edit)
Description Naveed Hasan 2008-10-24 22:58:37 EDT
Using java-1.6.0-openjdk-1.6.0.0-1.0.b12.fc10.x86_64 and running 'java -version', I get:

java version "1.6.0_0"
IcedTea6 1.3.1 Runtime Environment (build 1.6.0_0-b12)
OpenJDK 64-Bit Server VM (build 1.6.0_0-b12, mixed mode)

The version string "1.6.0_0" and build id "1.6.0_0-b12" appear to be in contradiction to any of the the options for this specified at http://java.sun.com/j2se/versioning_naming.html

The version string shows up in various programs that try to check the version of an installed Java, which makes it hard to do things with it on a programmatic basis. Can this be fixed?

The latest Sun release has "1.6.0_10-b33" as a build id. Maybe something like "1.6.0-openjdk-b12" or "1.6.0-icedtea6-1.3.1" would serve the purpose here.

Thanks,
Naveed
Comment 1 Mark Wielaard 2008-10-27 10:03:11 EDT
New upstream has support for more precise version display, including configuring with --with-pkgversion to show the fedora package version.
Comment 2 Naveed Hasan 2008-11-14 23:56:00 EST
Under java-1.6.0-openjdk-1.6.0.0-4.b12.fc10.x86_64 -

java version "1.6.0_0"
IcedTea6 1.4 (6b12-Fedora-10) Runtime Environment (build 1.6.0_0-b12)
OpenJDK 64-Bit Server VM (build 10.0-b19, mixed mode)

The version string and build identifier are the same as before. Does something else need to be updated?
Comment 3 Mark Wielaard 2008-11-17 05:38:07 EST
The spec file currently configures with --with-pkgversion=6%{openjdkver}-Fedora-%{fedora} that should be --with-pkgversion=%{release} or --with-pkgversion=Fedora-%{release}-%{arch} to include the actual distro version.
Comment 4 Mark Wielaard 2008-11-24 14:11:26 EST
Created attachment 324527 [details]
Provide full fedora package release version and arch

Adding both ${release} and ${_arch} will provide the user with the most precise information (handy when they report a bug).

$ java -version
java version "1.6.0_0"
IcedTea6 1.4 (fedora-5.b12.fc9-x86_64) Runtime Environment (build 1.6.0_0-b12)
OpenJDK 64-Bit Server VM (build 10.0-b19, mixed mode)
Comment 5 Bug Zapper 2008-11-25 23:13:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.